Question Which build of Windows 10 works fine with Nvidia driver and Amd Ryzen?

Nov 23, 2020
6
0
10
0
I built a new PC. The Specs are:-

Processor:- Amd Ryzen 3 3100
Ram:- Crucial 8GB 2400mhz ram
Graphics Card:- Colorful IGame GTX 1650 Super Ultra OC 4G
Motherboard:- Gigabyte B450M S2H
PSU:- Gigabyte 450w Bronze certified psu
HDD :- Seagate barracuda 1TB internal hard disk
Windows 10 version:- 10240 64 bit

Now, the Nvidia's Game Ready Driver version 457.30(standard) 64 bit
says that the system is not compatible with it. After searching in Google, I found that Nvidia drivers won't work with the first retail version ie 10240. The amd ryzen also no compatible with that version since it was released in 2017. So I wanted to know which version of windows 10 is completely compatible with it. Thank you in advance
 

Colif

Win 10 Master
Moderator
omg, 10240? throw that installer away and make a new one. they release a new ISO every 6 months with an updated version, shame all the installer disks made in first 3 years can't auto erase themselves.
 

Colif

Win 10 Master
Moderator
USAFRet was just responding to your comment, about using the ssd as backup.

Why op uses a hdd? Maybe never had ssd before and doesn't know what they missing, maybe they not rich enough to buy all parts they would like so a hdd was chosen instead (I was going to have 2 NVME in current PC but price difference between a 1tb NVME and a 3tb HDD meant i could get more space for less on hdd). Probably other reasons but those 2 came to mind.
 
Nov 23, 2020
6
0
10
0
USAFRet was just responding to your comment, about using the ssd as backup.

Why op uses a hdd? Maybe never had ssd before and doesn't know what they missing, maybe they not rich enough to buy all parts they would like so a hdd was chosen instead (I was going to have 2 NVME in current PC but price difference between a 1tb NVME and a 3tb HDD meant i could get more space for less on hdd). Probably other reasons but those 2 came to mind.
Yes, actually I preffered more storage over speed and also as he said, I had quite tight budget. So Actually I found the solution to the problem. The build was very old, as all you said. Then I upgraded to build 1704 and it is all good now. Thank you guys😀
 

ASK THE COMMUNITY